// Copyright (c) 2024 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#include "WorldPrefab.hpp"
#include "display/mesh/QuadMesh.hpp"  

using namespace Dawn;

struct WorldPrefab Dawn::createWorldPrefab(Scene &s) {
  struct WorldPrefab world;

  world.item = s.createSceneItem();
  world.world = world.item->addComponent<World>();

  return world;
}