// Copyright (c) 2024 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include "prefab/Prefab.hpp"
#include "component/world/World.hpp"

namespace Dawn {
  struct WorldPrefab : public Prefab {
    public:
      std::shared_ptr<World> world;
  };

  struct WorldPrefab createWorldPrefab(Scene &scene);
}