// Copyright (c) 2024 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include "component/entity/Entity.hpp"

namespace Dawn {
  class World : public SceneComponent {
    private:
      std::map<entityid_t, std::shared_ptr<Entity>> entities; 

    public:
      void onInit() override;
      void onDispose() override;
  };
}